# RPM specfile for gtoaster module
# Generated Thu May 16 19:05:54 2002 GMT by Ximian build system
# $Id: bb_do,v 1.183 2002/04/19 17:44:22 thunder Exp $
# from 

%define nam	gtoaster
%define ver	1.0Beta5
%define ximrev	1

Name:     	gtoaster
Version: 	1.0Beta5
Release:	1.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for SuSE Linux 8.0 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc/packages

URL:		http://gnometoaster.rulez.org
Source0:	gtoaster1.0Beta5.tgz
Patch0:		gtoaster-no-debdir.patch
Summary:	A versatile CD recording package for both sound and data
Group:		Applications/Archiving
Requires:	cdrecord
Requires:	mkisofs
Requires:	cdparanoia
Requires:	sox
Provides:	ximian-gtoaster = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
Gnome Toaster is a versatile CD creation suite.  It is designed to be
as user-friendly as possible, allowing you to create CD-ROMs with just
a few simple mouse clicks.  Audio and data CDs are both possible.
Gnome Toaster is also well integrated with the GNOME and KDE
filemanagers.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README TODO
/opt/gnome/bin/*
/opt/gnome/*/locale/*/LC_MESSAGES/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gtoaster
    ;;
all)
%setup  -q -n gtoaster
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --sysconfdir=/etc/opt/gnome --prefix=/opt/gnome --mandir=/opt/gnome/man --infodir=/opt/gnome/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install sysconfdir=${DESTDIR}/etc/opt/gnome prefix=${DESTDIR}/opt/gnome mandir=${DESTDIR}/opt/gnome/man infodir=${DESTDIR}/opt/gnome/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Thu May 16 2002 Ximian, Inc.

- Version: 0.2002012700+1.0Beta5-1.ximian.1
- Summary: New build.
- New automated build.

* Mon Apr 29 2002 Ximian, Inc.

- Version: 1.0-0.beta5.1.ximian.1
- Summary: New build.
- New automated build.

